%define momorel 1
%define ver 1
%define rcver 5
%define prever 19

Name:        xine-lib
Summary:     A Free Video Player.
Version:     %{ver}.0
Release:     0.%{prever}.%{momorel}m
License:     GPL
Group:       Development/Libraries
Source0:     http://telia.dl.sourceforge.net/sourceforge/xine/xine-lib-%{ver}-rc%{rcver}.tar.gz
URL:         http://www.xinehq.de/
BuildRoot:   %{_tmppath}/%{name}-%{version}-root
BuildPreReq: aalib, libvorbis-devel, arts-devel, esound-devel
BuildPreReq: gnome-vfs-devel, SDL-devel, speex
BuildPreReq: alsa-lib >= 0.9.0, flac-devel
BuildPreReq: transfig, libmodplug-devel
NoSource: 0

%package oss
Summary:     XINE - oss support.
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release}

%package alsa
Summary:     XINE - alsa >= 0.9.x support.
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release}

%package arts
Summary:     XINE - arts support.
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release}

%package esd
Summary:     XINE - esd support.
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release}

%package xv
Summary:     XINE - XFree XVideo support.
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release}

%package sdl
Summary:     XINE - SDL (Simple DirectMedia Layer) video support.
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release}

%package aa
Summary:     XINE - Ascii Art support.
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release}

#%package opengl
#Summary:     XINE - OpenGL support.
#Group:       Development/Libraries
#Requires:    %{name} = %{version}-%{release}

%ifarch %{ix86}
%package w32dll
Summary:     XINE - win32dll decoder support.
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release}
%endif

%package oggvorbis
Summary:     XINE - ogg/vorbis decoder/demuxer support.
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release}

%package flac
Summary:     XINE - flac support
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release}

%package docs
Summary:     XINE - html API documentation.
Group:       Documentation

%description
xine is a free gpl-licensed video player for unix-like systems.
We support mpeg-2 and mpeg-1 system (audio + video multiplexed) streams,
eventually mpeg-4 and other formats might be added.

xine plays the video and audio data of mpeg-2 videos and synchronizes
the playback of both. Depending on the properties of the mpeg stream,
playback will need more or less processor power, 100% frame rate
has been seen on a 400 MHz P II system.

%description oss
audio plugin with oss support.

%description alsa
audio plugin with alsa 0.9.x support.

%description arts
audio plugin with arts support.

%description esd
audio plugin with esd support.

%description xv
video plugin using XFree XVideo extension.

%description sdl
video plugin using SDL (Simple DirectMedia Layer) library.

%description aa
video plugin using Ascii Art library.

#%description opengl
#video plugin using OpenGL library.

%ifarch %{ix86}
%description w32dll
win32dll decoder support.
%endif

%description oggvorbis
ogg/vorbis decoder/demuxer support.

%description flac
flac support.

%description docs
HTML documentation of XINE API.

%prep
%setup -q -n xine-lib-%{ver}-rc%{rcver}

%build
%configure
%ifarch ppc
make %{?_smp_mflags}
#make %{?_smp_mflags} CCAS=gcc || :
#make CCAS=gcc
%else
make %{?_smp_mflags}
%endif

%install
rm -rf %{buildroot}
make transform='s,x,x,' DESTDIR=%{buildroot} install
# without opengl
rm -f %{buildroot}%{_libdir}/xine/plugins/*/xineplug_vo_out_opengl.so

%post
/sbin/ldconfig

%postun
if [ "$1" = 0 ]; then
    /sbin/ldconfig
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/xine-config
%{_includedir}/xine
%{_includedir}/xine.h
%dir %{_libdir}/xine
%{_libdir}/libxine*.la
%{_libdir}/libxine*.so*
%{_libdir}/xine/plugins/*/post
%{_libdir}/xine/plugins/*/vidix
%{_libdir}/xine/plugins/*/xineplug_ao_out_file.so
%{_libdir}/xine/plugins/*/xineplug_ao_out_none.so
%{_libdir}/xine/plugins/*/xineplug_decode_a52.so
%{_libdir}/xine/plugins/*/xineplug_decode_bitplane.so
%{_libdir}/xine/plugins/*/xineplug_decode_dts.so
%{_libdir}/xine/plugins/*/xineplug_decode_dvaudio.so
%{_libdir}/xine/plugins/*/xineplug_decode_faad.so
%{_libdir}/xine/plugins/*/xineplug_decode_ff.so
%{_libdir}/xine/plugins/*/xineplug_decode_gsm610.so
%{_libdir}/xine/plugins/*/xineplug_decode_image.so
%{_libdir}/xine/plugins/*/xineplug_decode_lpcm.so
%{_libdir}/xine/plugins/*/xineplug_decode_mad.so
%{_libdir}/xine/plugins/*/xineplug_decode_mpeg2.so
%{_libdir}/xine/plugins/*/xineplug_decode_nsf.so
%{_libdir}/xine/plugins/*/xineplug_decode_real.so
%{_libdir}/xine/plugins/*/xineplug_decode_real_audio.so
%{_libdir}/xine/plugins/*/xineplug_decode_rgb.so
%{_libdir}/xine/plugins/*/xineplug_decode_speex.so
%{_libdir}/xine/plugins/*/xineplug_decode_spu.so
%{_libdir}/xine/plugins/*/xineplug_decode_spucc.so
%{_libdir}/xine/plugins/*/xineplug_decode_sputext.so
%{_libdir}/xine/plugins/*/xineplug_decode_yuv.so
%{_libdir}/xine/plugins/*/xineplug_dmx_asf.so
%{_libdir}/xine/plugins/*/xineplug_dmx_audio.so
%{_libdir}/xine/plugins/*/xineplug_dmx_avi.so
%{_libdir}/xine/plugins/*/xineplug_dmx_fli.so
%{_libdir}/xine/plugins/*/xineplug_dmx_flv.so
%{_libdir}/xine/plugins/*/xineplug_dmx_games.so
%{_libdir}/xine/plugins/*/xineplug_dmx_iff.so
%{_libdir}/xine/plugins/*/xineplug_dmx_image.so
%{_libdir}/xine/plugins/*/xineplug_dmx_matroska.so
%{_libdir}/xine/plugins/*/xineplug_dmx_mng.so
%{_libdir}/xine/plugins/*/xineplug_dmx_mpeg.so
%{_libdir}/xine/plugins/*/xineplug_dmx_mpeg_block.so
%{_libdir}/xine/plugins/*/xineplug_dmx_mpeg_elem.so
%{_libdir}/xine/plugins/*/xineplug_dmx_mpeg_pes.so
%{_libdir}/xine/plugins/*/xineplug_dmx_mpeg_ts.so
%{_libdir}/xine/plugins/*/xineplug_dmx_nsv.so
%{_libdir}/xine/plugins/*/xineplug_dmx_pva.so
%{_libdir}/xine/plugins/*/xineplug_dmx_qt.so
%{_libdir}/xine/plugins/*/xineplug_dmx_rawdv.so
%{_libdir}/xine/plugins/*/xineplug_dmx_real.so
%{_libdir}/xine/plugins/*/xineplug_dmx_slave.so
%{_libdir}/xine/plugins/*/xineplug_dmx_sputext.so
%{_libdir}/xine/plugins/*/xineplug_dmx_yuv4mpeg2.so
%{_libdir}/xine/plugins/*/xineplug_dmx_yuv_frames.so
%{_libdir}/xine/plugins/*/xineplug_inp_cdda.so
%{_libdir}/xine/plugins/*/xineplug_inp_dvb.so
%{_libdir}/xine/plugins/*/xineplug_inp_dvd.so
%{_libdir}/xine/plugins/*/xineplug_inp_file.so
%{_libdir}/xine/plugins/*/xineplug_inp_gnome_vfs.so
%{_libdir}/xine/plugins/*/xineplug_inp_http.so
%{_libdir}/xine/plugins/*/xineplug_inp_mms.so
%{_libdir}/xine/plugins/*/xineplug_inp_net.so
%{_libdir}/xine/plugins/*/xineplug_inp_pnm.so
%{_libdir}/xine/plugins/*/xineplug_inp_pvr.so
%{_libdir}/xine/plugins/*/xineplug_inp_rtp.so
%{_libdir}/xine/plugins/*/xineplug_inp_rtsp.so
%{_libdir}/xine/plugins/*/xineplug_inp_stdin_fifo.so
%{_libdir}/xine/plugins/*/xineplug_inp_v4l.so
%{_libdir}/xine/plugins/*/xineplug_inp_vcd.so
%{_libdir}/xine/plugins/*/xineplug_inp_vcdo.so
%{_libdir}/xine/plugins/*/xineplug_vo_out_fb.so
%{_libdir}/xine/plugins/*/xineplug_vo_out_none.so
%{_libdir}/xine/plugins/*/xineplug_vo_out_xshm.so
%ifarch %{ix86}
%{_libdir}/xine/plugins/*/xineplug_decode_dxr3_spu.so
%{_libdir}/xine/plugins/*/xineplug_decode_dxr3_video.so
%{_libdir}/xine/plugins/*/xineplug_decode_qt.so
%{_libdir}/xine/plugins/*/xineplug_vo_out_dxr3.so
%{_libdir}/xine/plugins/*/xineplug_vo_out_vidix.so
%endif
%ifarch ppc
%{_libdir}/xine/plugins/*/xineplug_decode_dxr3_spu.so
%{_libdir}/xine/plugins/*/xineplug_decode_dxr3_video.so
%{_libdir}/xine/plugins/*/xineplug_vo_out_dxr3.so
%endif
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_mandir}/man*/*
%{_datadir}/xine

%files alsa
%defattr(-,root,root)
%{_libdir}/xine/plugins/*/xineplug_ao_out_alsa.so

%files arts
%defattr(-,root,root)
%{_libdir}/xine/plugins/*/xineplug_ao_out_arts.so

%files esd
%defattr(-,root,root)
%{_libdir}/xine/plugins/*/xineplug_ao_out_esd.so

%files oss
%defattr(-,root,root)
%{_libdir}/xine/plugins/*/xineplug_ao_out_oss.so

%files aa
%defattr(-,root,root)
%{_libdir}/xine/plugins/*/xineplug_vo_out_aa.so

%files sdl
%defattr(-,root,root)
%{_libdir}/xine/plugins/*/xineplug_vo_out_sdl.so

#%files opengl
#%defattr(-,root,root)
#%{_libdir}/xine/plugins/*/xineplug_vo_out_opengl.so

%files xv
%defattr(-,root,root)
%{_libdir}/xine/plugins/*/xineplug_vo_out_xv.so

%files oggvorbis
%defattr(-,root,root)
%{_libdir}/xine/plugins/*/xineplug_decode_vorbis.so
%{_libdir}/xine/plugins/*/xineplug_dmx_ogg.so

%files flac
%defattr(-,root,root)
%{_libdir}/xine/plugins/*/xineplug_flac.so


%ifarch %{ix86}
%files w32dll
%defattr(-,root,root)
%{_libdir}/xine/plugins/*/xineplug_decode_w32dll.so
%endif

%files docs
%defattr(-,root,root)
%{_prefix}/share/doc/xine

%changelog
* Sat Jul  3 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.0-0.19.1m)
- update to 1-rc5

* Thu Jun 24 2004 mutecat <mutecat@momonga-linux.org>
- (1.0.0-0.18.3m)
- ppc youni tuika

* Fri May 14 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.0-0.18.2m)
- update to 1-rc4a
- fixes problems with image displaying for XVideo driver and decoding of
  WMA streams
- configuration for 5.1 and other audio surround setups has changed

* Sun May  9 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.0-0.18.1m)
- update to 1-rc4
- fixes a vulnerability in RTSP streaming code

* Sat Apr 10 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.0-0.17.1m)
- update to 1-rc3c
- major bugfixes

* Sun Mar 28 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0.0-0.16.2m)
- revised spec for rpm 4.2.

* Thu Jan 22 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0.0-0.16.1m)
- add BuildPreReq: gnome-vfs-devel, SDL-devel

* Fri Jan 16 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0.0-0.16.1m)
- update to 1-rc3a
- - some bugfix

* Sat Dec 20 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0.0-0.15.1m)
- update to 1-rc3
- %%{_libdir}/xine/plugins/*/xineplug_hogehoge.la files are not installed by default...Does this cause some probrems?

* Wed Jun  4 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0-0.12.3m)
  rebuild against DirectFB 0.9.18

* Thu May 15 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0-0.12.2m)
- rebuild against slang(utf8 version)

* Tue May 13 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0-0.12.1m)
- 1.0-beta12
- major feature enhancements

* Tue Apr 29 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0-0.11.1m)
- 1.0-beta11
- major bugfixes

* Wed Apr  9 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0-0.10.1m)
  update to 1.0-beta10

* Sun Mar 23 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0-0.9.1m)
- 1-beta9

* Sun Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0-0.7.2m)
  rebuild against openssl 0.9.7a

* Sat Mar  8 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0-0.7.1m)
- 1-beta7

* Sun Feb 23 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0-0.5.2m)
  flac support.

* Sat Feb 22 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0-0.5.1m)
  update to 1-beta5

* Fri Jan 31 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0-0.4.1m)
- 1-beta4

* Tue Aug 27 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.13-3m)
- rebuild against alsa-lib-0.9.0

* Fri Aug 09 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (0.9.13-2m)
- fix defattr

* Sun Aug  4 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.13-1m)
- major bugfixes

* Wed Jul 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.12-2m)
- remove TO.Nonfree

* Sun Jun 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.8-4m)
- version down...
- execute 'ldconfig' in %post and %postun.

* Sat Jun 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.12-1m)
- ix86 -> %{ix86}
- add BuildPreReq

* Thu Apr  4 2002 Toru Hoshina <t@Kondara.org>
- alpha support.

* Fri Mar  1 2002 Tsutomu Yasuda <tom@kondara.org>
- first release

* Wed Feb 6 2002 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- added 'de,fr,pt_BR' translation catalogs.
* Sat Dec 26 2001 Matthias Dahl <matthew2k@web.de>
- added sputext decode plugin and fonts.
* Sat Dec 8 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- ASF plugin is optional.
* Thu Dec 6 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Add cda plugins.
* Wed Nov 14 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- fixed dxr3 header files inclusion, aalib deps: thanks to Andrew Meredith <andrew@anvil.org>.
* Mon Oct 29 2001 Matthias Dahl <matthew2k@web.de>
- added http input plugin
* Thu Oct 18 2001 Matthias Dahl <matthew2k@web.de>
- added asf demuxer plugin
* Sun Oct 14 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- move vorbis in separate package. Add DivX4 decoder plugin.
* Wed Oct 10 2001 Matthias Dahl <matthew2k@web.de>
- added vorbis files and missing man pages to filelist.
* Thu Sep 27 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Add desktop stuff from patches by Miguel Freitas <miguel@cetuc.puc-rio.br>
- Fixed xine.m4 installation from Andrew Meredith <andrew@anvil.org>
* Fri Sep 21 2001 Matthias Dahl <matthew2k@web.de>
- added two missing files (xine-config man page and xine.m4)
* Sun Sep 16 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Merge patch from Jos Carlos Monteiro <jcm@netcabo.pt>:
  - Filelist and other minor updates,
  - Fixed some SuSE compatibility issues,
  - Added Portuguese summary.
* Sun Sep 16 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Add missing files.
* Sun Aug 19 2001 Matthias Dahl <matthew2k@web.de>
- The usual update to the filelist :)
- temporarily removed mpg123 decoder plugin from filelist cause it is not
  built with the recent CVS tree
* Thu Jul 26 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Made oss, aa, xv, esd, w32dll, documentation as separate packages.
* Thu Jul 26 2001 Matthias Dahl <matthew2k@web.de>
- added seperate arts package and one missing demuxer plugin to filelist
* Wed Jul 18 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- list all plugins to avoid *strange* inclusion ;-).
* Sun Jun 10 2001 Matthias Dahl <matthew2k@web.de>
- updated filelist
- re-activated execution of /sbin/ldconfig as post install script
* Thu Mar 28 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- add korean summary, patch from Louis JANG <louis@ns.mizi.com>
* Thu Jan 11 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- patch from Sung-Hyun Nam <namsh@lgic.co.kr> applied.
* Fri Oct 17 2000 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- first spec file.
